{% extends "base_api.html" %}
{% load static %}
{% load widget_tweaks %}

{% block nav %}
{% include "parts/nav.html" with active_tab="api" %}
{% endblock %}

{% block title %} Api {% endblock %}

{% block jumbotron %}
<h1>Api</h1>
<p>Allows user to get data with function.</p>
{% endblock %}

{% block content %}
<div id="accordion">
  <div class="card h-100">
    <div class="card-header" id="NgsFilterHeader" data-toggle="collapse" data-target="#NgsFilter">
      <h2>Ngs filter</h2>
    </div>
    <div id="NgsFilter" class="card-body collapse" data-parent="#accordion">
      <h6 class="card-subtitle mb-4 text-muted">
        Get json file containing all required information to make ngs filter file.
      </h6>
      <table id='tubeTable' class="table table-striped table-bordered table-sm nowrap" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th>Tube name</th>
            <th>Project name</th>
            <th>Libraries</th>
          </tr>
        </thead>
      </table>
      <input name='ngsFilterUrl' class="form-control mt-4" type="text" placeholder="ngs filter url" readonly>
      <div class="text-center mt-3">
        <button id="getNgsFilter" type="button" class="btn btn-outline-success" disabled>Get json file</button>
      </div>
    </div>
  </div>
  <div class="card h-100">
    <div class="card-header" data-toggle="collapse" data-target="#projectList">
      <h2>Project list</h2>
    </div>
    <div id="projectList" class="card-body collapse" data-parent="#accordion">
      <h6 class="card-subtitle mb-4 text-muted">
        Get json file containing all project containing in the database.
      </h6>
      <input name='projectUrl' class="form-control mt-4" type="text" readonly>
      <div class="text-center mt-3">
        <button id="getprojectList" type="button" class="btn btn-outline-success">Get json file</button>
      </div>
    </div>
  </div>
  <div class="card h-100">
    <div class="card-header" data-toggle="collapse" data-target="#projectTubes">
      <h2>Project tubes</h2>
    </div>
    <div id="projectTubes" class="card-body collapse" data-parent="#accordion">
      <h6 class="card-subtitle mb-4 text-muted">
        Get json file containing all tube information related to a specific project.
      </h6>
      <div class="form-group row">
        <label class="col-sm-2 col-form-label" for="{{ project_form.project.id_for_label }}">Project</label>
        <div class="col-sm-8">
          {% render_field project_form.project class="form-control" id="selectProject"%}
        </div>
      </div>
      <input name='projectTubesUrl' class="form-control mt-4" type="text" placeholder="project tubes url" readonly>
      <div class="text-center mt-3">
        <button id="getProjectTubes" type="button" class="btn btn-outline-success" disabled>Get json file</button>
      </div>
    </div>
  </div>
  <div class="card h-100">
    <div class="card-header" data-toggle="collapse" data-target="#projectSample">
      <h2>Project samples</h2>
    </div>
    <div id="projectSample" class="card-body collapse" data-parent="#accordion">
      <h6 class="card-subtitle mb-4 text-muted">
        Get json file containing all sample information related to a project name.
      </h6>
      <div class="form-group row">
        <label class="col-sm-2 col-form-label" for="{{ project_form.project.id_for_label }}">Project</label>
        <div class="col-sm-8">
          {% render_field project_form.project class="form-control" id="selectProjectSample"%}
        </div>
      </div>
      <input name='projectSampleUrl' class="form-control mt-4" type="text" placeholder="Project sample url" readonly>
      <div class="text-center mt-3">
        <button id="getProjectSample" type="button" class="btn btn-outline-success" disabled>Get json file</button>
      </div>
    </div>
  </div>
  <div class="card h-100">
    <div class="card-header" data-toggle="collapse" data-target="#tubeIdList">
      <h2>Tube id related to tube name</h2>
    </div>
    <div id="tubeIdList" class="card-body collapse" data-parent="#accordion">
      <h6 class="card-subtitle mb-4 text-muted">
        Get json file containing all tube information related to a tube name.
      </h6>
      <div class="form-group row">
        <label class="col-sm-2 col-form-label" for="{{ tube_name_form.tube.id_for_label }}">Tube name</label>
        <div class="col-sm-8">
          {% render_field tube_name_form.tube class="form-control" id="selectTubeName"%}
        </div>
      </div>
      <input name='tubeNameUrl' class="form-control mt-4" type="text" placeholder="tube names url" readonly>
      <div class="text-center mt-3">
        <button id="getTubeId" type="button" class="btn btn-outline-success" disabled>Get json file</button>
      </div>
    </div>
  </div>
  <div class="card h-100">
    <div class="card-header" data-toggle="collapse" data-target="#tubeSamples">
      <h2>Tube Samples</h2>
    </div>
    <div id="tubeSamples" class="card-body collapse" data-parent="#accordion">
      <h6 class="card-subtitle mb-4 text-muted">
        Get json file containing all samples related to a tube id.
      </h6>
      <table id='tubeSampleTable' class="table table-striped table-bordered table-sm nowrap" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th>Tube name</th>
            <th>Project name</th>
            <th>Libraries</th>
          </tr>
        </thead>
      </table>
      <input name='tubeSampleUrl' class="form-control mt-4" type="text" placeholder="Tube sample url" readonly>
      <div class="text-center mt-3">
        <button id="getTubeSample" type="button" class="btn btn-outline-success" disabled>Get json file</button>
      </div>
    </div>
  </div>
  <div class="card h-100">
    <div class="card-header" data-toggle="collapse" data-target="#sampleQualifiers">
      <h2>Sample Qualifiers</h2>
    </div>
    <div id="sampleQualifiers" class="card-body collapse" data-parent="#accordion">
      <h6 class="card-subtitle mb-4 text-muted">
        Get json file containing all qualifiers related to a sample id.
      </h6>
      <table id='sampleTable' class="table table-striped table-bordered table-sm nowrap" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th>Sample name</th>
            <th>Project name</th>
          </tr>
        </thead>
      </table>
      <input name='sampleQualifierUrl' class="form-control mt-4" type="text" placeholder="Sample qualifiers url" readonly>
      <div class="text-center mt-3">
        <button id="getSampleQualifiers" type="button" class="btn btn-outline-success" disabled>Get json file</button>
      </div>
    </div>
  </div>
</div>
{% endblock %}
{% block script %}
  {{ block.super }}
  <script src={% static "js/api.js" %}></script>
{% endblock %}
